SystemOrganization addCategory: 'OrbeonBPMCore'!

Object subclass: #BpmObject
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

BpmObject subclass: #BpmArtifactDefinition
	instanceVariableNames: 'processDefinition'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

BpmArtifactDefinition subclass: #BpmActivityDefinition
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

BpmActivityDefinition subclass: #BpmGatewayDefinition
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

BpmActivityDefinition subclass: #BpmSubProcessDefinition
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

BpmActivityDefinition subclass: #BpmTaskDefinition
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

BpmArtifactDefinition subclass: #BpmEventDefinition
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

BpmEventDefinition subclass: #BpmEndEventDefinition
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

BpmEventDefinition subclass: #BpmIntermediateEventDefinition
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

BpmEventDefinition subclass: #BpmStartEventDefinition
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

BpmObject subclass: #BpmCodeAnalyzer
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

BpmObject subclass: #BpmCodeCondition
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

BpmObject subclass: #BpmProcessDefinition
	instanceVariableNames: 'id processName executionPath roles processInstances orbeonApplication version parentProcess subProcesses formFieldInstances'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

!BpmProcessDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/26/2015 18:39'!
executionPath
	^executionPath! !

!BpmProcessDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/26/2015 18:39'!
executionPath: newValue
	executionPath := newValue! !

!BpmProcessDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 15:21'!
formFieldInstances
	^formFieldInstances! !

!BpmProcessDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 15:21'!
formFieldInstances: newValue
	formFieldInstances := newValue! !

!BpmProcessDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/26/2015 18:31'!
id
	^id! !

!BpmProcessDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/26/2015 18:31'!
id: newValue
	id := newValue! !

!BpmProcessDefinition methodsFor: 'other' stamp: 'BrunoBB 10/27/2015 15:26'!
initialize

	super initialize.

	id := Lag1MwcRandom new integer.
	executionPath := BpmProcessPathDefinition definition: self.
	roles := Dictionary new.
	version := 1.
	subProcesses := Dictionary new.
	formFieldInstances := Dictionary new.! !

!BpmProcessDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 15:21'!
orbeonApplication
	^orbeonApplication! !

!BpmProcessDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 15:21'!
orbeonApplication: newValue
	orbeonApplication := newValue! !

!BpmProcessDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 15:21'!
parentProcess
	^parentProcess! !

!BpmProcessDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 15:21'!
parentProcess: newValue
	parentProcess := newValue! !

!BpmProcessDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 15:21'!
processInstances
	^processInstances! !

!BpmProcessDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 15:21'!
processInstances: newValue
	processInstances := newValue! !

!BpmProcessDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/26/2015 18:31'!
processName
	^processName! !

!BpmProcessDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/26/2015 18:31'!
processName: newValue
	processName := newValue! !

!BpmProcessDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 15:21'!
roles
	^roles! !

!BpmProcessDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 15:21'!
roles: newValue
	roles := newValue! !

!BpmProcessDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 15:21'!
subProcesses
	^subProcesses! !

!BpmProcessDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 15:21'!
subProcesses: newValue
	subProcesses := newValue! !

!BpmProcessDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 15:21'!
version
	^version! !

!BpmProcessDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 15:21'!
version: newValue
	version := newValue! !

BpmObject subclass: #BpmProcessPathDefinition
	instanceVariableNames: 'processDefinition transitions startNode endNodes tasks gateways subProcessTasks'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

!BpmProcessPathDefinition class methodsFor: 'other' stamp: 'BrunoBB 10/27/2015 15:12'!
definition: aBpmProcessDefinition

	^super new initialize
			processDefinition: aBpmProcessDefinition;
			yourself! !

!BpmProcessPathDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 15:21'!
endNodes
	^endNodes! !

!BpmProcessPathDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 15:21'!
endNodes: newValue
	endNodes := newValue! !

!BpmProcessPathDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 15:21'!
gateways
	^gateways! !

!BpmProcessPathDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 15:21'!
gateways: newValue
	gateways := newValue! !

!BpmProcessPathDefinition methodsFor: 'other' stamp: 'BrunoBB 10/27/2015 15:23'!
initialize

	super initialize.

	transitions := OrderedCollection new.
	endNodes := Dictionary new.
	tasks := Dictionary new.
	gateways := Dictionary new.
	subProcessTasks := Dictionary new.! !

!BpmProcessPathDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 15:11'!
processDefinition
	^processDefinition! !

!BpmProcessPathDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 15:11'!
processDefinition: newValue
	processDefinition := newValue! !

!BpmProcessPathDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 15:21'!
startNode
	^startNode! !

!BpmProcessPathDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 15:21'!
startNode: newValue
	startNode := newValue! !

!BpmProcessPathDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 15:21'!
subProcessTasks
	^subProcessTasks! !

!BpmProcessPathDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 15:21'!
subProcessTasks: newValue
	subProcessTasks := newValue! !

!BpmProcessPathDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 15:21'!
tasks
	^tasks! !

!BpmProcessPathDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 15:21'!
tasks: newValue
	tasks := newValue! !

!BpmProcessPathDefinition methodsFor: 'Accessing' stamp: 'BrunoBB 10/27/2015 15:21'!
transitions
	^transitions! !

!BpmProcessPathDefinition methodsFor: 'Updating' stamp: 'BrunoBB 10/27/2015 15:21'!
transitions: newValue
	transitions := newValue! !

BpmObject subclass: #BpmRole
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

BpmRole subclass: #BpmBackofficeRole
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

BpmRole subclass: #BpmFrontEndRole
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!

BpmObject subclass: #BpmTransitionDefinition
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonBPMCore'!
